# fbsql_create_blob

(PHP 4 >= 4.2.0, PHP 5, PHP 7)

fbsql_create_blob — Create a BLOB

### Description

fbsql_create_blob ( string `$blob_data` [, resource `$link_identifier` ] ) : string

Creates a BLOB from the given data.

### Parameters

`blob_data`

  The BLOB data.

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect() or fbsql_pconnect().

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect() was called with no arguments.

### Return Values

Returns a resource handle to the newly created BLOB, which can be used with insert and update commands to store the BLOB in the database.

### Examples

Example #1 fbsql_create_blob() example

`<?php
$link = fbsql_pconnect("localhost", "_SYSTEM", "secret")
or die("Could not connect");
$filename = "blobfile.bin";
$fp = fopen($filename, "rb");
$blobdata = fread($fp, filesize($filename));
fclose($fp);
$blobHandle = fbsql_create_blob($blobdata, $link);
$sql = "INSERT INTO BLOB_TABLE (BLOB_COLUMN) VALUES ($blobHandle);";
$rs = fbsql_query($sql, $link);
?>`

### See Also

- fbsql_create_clob() - Create a CLOB
- fbsql_read_blob() - Read a BLOB from the database
- fbsql_read_clob() - Read a CLOB from the database
- fbsql_set_lob_mode() - Set the LOB retrieve mode for a FrontBase result set